Public Attributes | List of all members
dis_init_t Struct Reference
BLE Services » Device Information Service (DIS) » Structures

Device Information Service init structure. This contains all options and data needed for initialization of the service. More...

`#include <dis.h>`

## Public Attributes
uint32_t | char_mask
dis_string_t | manufact_name_str
dis_string_t | model_num_str
dis_string_t | serial_num_str
dis_string_t | hw_rev_str
dis_string_t | fw_rev_str
dis_string_t | sw_rev_str
dis_sys_id_t * | p_sys_id
dis_reg_cert_data_list_t | reg_cert_data_list
dis_pnp_id_t * | p_pnp_id

## Detailed Description

Device Information Service init structure. This contains all options and data needed for initialization of the service.

Definition at line 145 of file dis.h.

## Member Data Documentation

## ◆ char_mask

uint32_t dis_init_t::char_mask

Initial mask of Supported characteristics, and configured with Characteristics Mask.

Definition at line 147 of file dis.h.

## ◆ fw_rev_str

dis_string_t dis_init_t::fw_rev_str

Initial firmware Revision String.

Definition at line 152 of file dis.h.

## ◆ hw_rev_str

dis_string_t dis_init_t::hw_rev_str

Initial hardware Revision String.

Definition at line 151 of file dis.h.

## ◆ manufact_name_str

dis_string_t dis_init_t::manufact_name_str

Initial manufacturer Name String.

Definition at line 148 of file dis.h.

## ◆ model_num_str

dis_string_t dis_init_t::model_num_str

Initial model Number String.

Definition at line 149 of file dis.h.

## ◆ p_pnp_id

dis_pnp_id_t* dis_init_t::p_pnp_id

Initial PnP ID.

Definition at line 156 of file dis.h.

## ◆ p_sys_id

dis_sys_id_t* dis_init_t::p_sys_id

Initial system ID.

Definition at line 154 of file dis.h.

## ◆ reg_cert_data_list

dis_reg_cert_data_list_t dis_init_t::reg_cert_data_list

Initial IEEE 11073-20601 Regulatory Certification Data List.

Definition at line 155 of file dis.h.

## ◆ serial_num_str

dis_string_t dis_init_t::serial_num_str

Initial serial Number String.

Definition at line 150 of file dis.h.

## ◆ sw_rev_str

dis_string_t dis_init_t::sw_rev_str

Initial software Revision String.

Definition at line 153 of file dis.h.

The documentation for this struct was generated from the following file:

- dis.h